Bug 749463 - GIF images served as PNG
GIF images served as PNG
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Reference Guide (Show other bugs)
520
All Unspecified
low Severity low
: ---
: ---
Assigned To: Dan Macpherson
ecs-bugs
:
Depends On:
Blocks: sat54-docs 824235
  Show dependency treegraph
 
Reported: 2011-10-27 02:43 EDT by Peter Moulder
Modified: 2012-09-26 00:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 00:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Moulder 2011-10-27 02:43:05 EDT
Description of problem:

A number of images referenced by the online manual are named as .png and served with Content-Type: image/png, where the actual data is not a PNG image but a GIF image.

Consequently, standards-conforming software will not display these images.

[One could question that assertion, but it is at least true as far as the http/1.1 RFC is concerned (rfc2616 §7.2.1), while it's recommended practice "if possible" according to the MIME sniffing spec (§1) that the html5 spec references.  I see that both Gecko and WebKit do display the images, though I suppose it must affect some software.]

Below I list the URLs that I'm aware of that are affected by this, but you might like to try

  find -name '*.png' -print0 | xargs -0 file -N | grep -v ': PNG'

on the web server (or the corresponding source tree) to find other instances of the problem.

Known referencing HTML documents (generated by Publican from a docbook source):

http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/index.html
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/index.html

The affected GIF/"PNG" URLs referenced by those HTML documents:

http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_bug.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_enhance.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_event_errata.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_event_package.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_event_pref.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_event_system.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_pending.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_security.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4/html-single/Reference_Guide/images/software-manager/icon_unentitled.png

http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_bug.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_enhance.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_event_errata.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_event_package.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_event_pref.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_event_system.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_pending.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_security.png
http://docs.redhat.com/docs/de-DE/Red_Hat_Network_Satellite/5.4.1/html-single/Reference_Guide/images/software-manager/icon_unentitled.png


Version-Release number of selected component (if applicable):

Version 520 according to the "Send us your Feedback" / "Senden Sie uns Ihr Feedback" section.  (Last-Modified http header says 06 Oct 2011 GMT.)

How reproducible:

100%

Steps to Reproduce:
1. Retrieve one of the "PNG" files listed above.
2. Use the "file" command or look at the first few bytes of the file to observe that it's a GIF file rather than a PNG file.
3. Use curl --head or similar to look at the http header and observe that the Content-Type says image/png.
  
Actual results:

Mismatch between Content-Type and format of actual file.

Expected results:

Match, whether by renaming to .gif (and updating the referencing documents) or converting to png.

Additional info:
Comment 1 Dan Macpherson 2012-07-03 00:23:45 EDT
Committed revision 83134

Ran script to:
* Rename problematic PNGs to GIFs
* Convert GIFs to PNGs using ImageMagick
* Delete the GIFs

Files affected:
M    images/software-manager/icon_unentitled.png
M    images/software-manager/icon_event_errata.png
M    images/software-manager/icon_event_system.png
M    images/software-manager/icon_bug.png
M    images/software-manager/icon_security.png
M    images/software-manager/icon_pending.png
M    images/software-manager/icon_event_package.png
M    images/software-manager/icon_event_pref.png
M    images/software-manager/icon_enhance.png

Note You need to log in before you can comment on or make changes to this bug.